pack_fseek(3)

NAME
pack_fseek - Seeks inside a stream. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int pack_fseek(PACKFILE *f, int offset);

DESCRIPTION
Moves the position indicator of the stream `f'. Unlike the standard fseek() function, this only supports forward movements relative to the current position and in read-only streams, so don't use negative offsets. Note that seeking is very slow when reading compressed files, and so should be avoided unless you are sure that the file is not compressed. Example:
   input_file = pack_fopen("data.bin", "r");
   if (!input_file)
      abort_on_error("Couldn't open binary data!");
   /* Skip some useless header before reading data. */
   pack_fseek(input_file, 32);

RETURN VALUE
Returns zero on success or a negative number on error, storing the error code in `errno'.

SEE ALSO
pack_fopen(3), pack_fopen_chunk(3), expackf(3)